1

Whenever I install any software/package, I get the following result. The software does get installed and works correctly but does this is not the supposed output. What is wrong with my system?

Setting up extlinux (2:4.05+dfsg-2) ...
P: Checking for EXTLINUX directory... found.
P: Writing config for /boot/vmlinuz-3.5.0-49-generic...
P: Writing config for /boot/vmlinuz-3.5.0-36-generic...
P: Writing config for FreeDOS on /dev/sda1...
P: Installing debian theme...ln: failed to create symbolic link `/boot/extlinux/themes/debian': Operation not permitted
dpkg: error processing extlinux (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up crossplatformui:i386 (1.0.27) ...
Rather than invoking init scripts through /etc/init.d, use the service(8)
utility, e.g. service acpid restart

Since the script you are attempting to invoke has been converted to an
Upstart job, you may also use the stop(8) and then start(8) utilities,
e.g. stop acpid ; start acpid. The restart(8) utility is also available.
acpid stop/waiting
acpid start/running, process 18879
package libqtgui4 exist
QT_VERSION = 4
make -C /lib/modules/3.5.0-49-generic/build M=/usr/local/bin/ztemtApp/zteusbserial/below2.6.27 modules
make[1]: Entering directory '/usr/src/linux-headers-3.5.0-49-generic'
  CC [M]  /usr/local/bin/ztemtApp/zteusbserial/below2.6.27/usb-serial.o
/usr/local/bin/ztemtApp/zteusbserial/below2.6.27/usb-serial.c:34:28: fatal error: linux/smp_lock.h: No such file or directory
compilation terminated.
scripts/Makefile.build:307: recipe for target '/usr/local/bin/ztemtApp/zteusbserial/below2.6.27/usb-serial.o' failed
make[2]: *** [/usr/local/bin/ztemtApp/zteusbserial/below2.6.27/usb-serial.o] Error 1
Makefile:1207: recipe for target '_module_/usr/local/bin/ztemtApp/zteusbserial/below2.6.27' failed
make[1]: *** [_module_/usr/local/bin/ztemtApp/zteusbserial/below2.6.27] Error 2
make[1]: Leaving directory '/usr/src/linux-headers-3.5.0-49-generic'
Makefile:18: recipe for target 'modules' failed
make: *** [modules] Error 2
dpkg: error processing crossplatformui:i386 (--configure):
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 extlinux
 crossplatformui:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)

This occurs even while installing from the Software Center:

enter image description here

And there is an error while sudo apt-get update about the unity-tweak-tool also.

Note: This error has become long after trying to install Qt Creator, earlier it was only about four-five lines and now its this long.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.